#!/usr/bin/env python
# -*- coding: utf-8 -*-

nunit = ["zéro","et-un","deux","trois","quatre","cinq","six","sept","huit","neuf","dix","onze","douze","treize","quatorze","quinze","seize","dix-sept","dix-huit","dix-neuf"]
ndiz = ["zéro","dix","vingt","trente","quarante","cinquante","soixante","soixante","quatre-vingt","quatre-vingt"]
nmillesingulier = ["zéro","mille","million","milliard","billion","billiard","trillion","trillard","quadrillion","quadrillard","quintillion","quintilliard","sextillion","sextilliard"]
nmille = ["zéro","mille","millions","milliards","billions","billiards","trillions","trillards","quadrillions","quadrillards","quintillions","quintilliards","sextillions","sextilliards"]

def deux_chiffres(n):
	'''Le nombre n doit être entre 0 et 99 compris'''
	if n == 0:
		return ""
	elif n == 1:
		return "un"
	elif n<20:
		return nunit[n]
	elif n<60:
		if n%10==0:
			return ndiz[n//10]
		else:
			return ndiz[n//10]+"-"+nunit[n%10]
	elif n<100:
		if n%20==0:
			return ndiz[n//10]
		else:
			if n%20==11:
				return ndiz[n//10]+"-et-"+nunit[n%20]
			else:
				return ndiz[n//10]+"-"+nunit[n%20]
		

def trois_chiffres(n):
	'''n est supposé être entre 0 et 999'''
	if n<100:
		return deux_chiffres(n)
	elif n<200:
		return "cent "+deux_chiffres(n%100)
	else:
		return nunit[n//100]+" cents "+deux_chiffres(n%100)
	
def entexte(n):
	N = len(str(n))
	N = int((N-1)//3)
	if N==0:
		return trois_chiffres(n)
	elif N==1:
		if n<2000:
			return nmille[N]+" "+trois_chiffres(n%1000)
		else:
			return trois_chiffres(n//1000)+" "+nmille[N]+" "+trois_chiffres(n%1000)
	else:
		texte = trois_chiffres(n%1000)
		n = n//1000
		indice = 1
		while indice<=N:
			if n%1000>0:
				if n%1000==1:
					texte = " un "+nmillesingulier[indice]+" "+texte
				else:
					texte = trois_chiffres(n%1000)+" "+nmille[indice]+" "+texte
			n = n//1000
			indice += 1
		return texte


for n in [2**16+1,2**31-1,2**127-1]:
	print entexte(n)

